org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PackageImport

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PackageImportImpl

      public interface PackageImport
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Package Import'.

  The following features are supported:

  - `EPackage`
  - `Alias`
  See Also:
    `PatternLanguagePackage.getPackageImport()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()` Returns the value of the 'Alias' attribute.
    `org.eclipse.emf.ecore.EPackage` | `getEPackage()` Returns the value of the 'EPackage' reference.
    `void` | `setAlias(java.lang.String value)` Sets the value of the '`Alias`' attribute.
    `void` | `setEPackage(org.eclipse.emf.ecore.EPackage value)` Sets the value of the '`EPackage`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEPackage

          org.eclipse.emf.ecore.EPackage getEPackage()

      Returns the value of the 'EPackage' reference.

      If the meaning of the 'EPackage' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'EPackage' reference.
      See Also:
        `setEPackage(EPackage)`, `PatternLanguagePackage.getPackageImport_EPackage()`
      Generated:
      Model:

    - #### setEPackage

          void setEPackage(org.eclipse.emf.ecore.EPackage value)

      Sets the value of the '`EPackage`' reference.
      Parameters:
        `value` - the new value of the 'EPackage' reference.
      See Also:
        `getEPackage()`
      Generated:

    - #### getAlias

          java.lang.String getAlias()

      Returns the value of the 'Alias' attribute.

      If the meaning of the 'Alias' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Alias' attribute.
      See Also:
        `setAlias(String)`, `PatternLanguagePackage.getPackageImport_Alias()`
      Generated:
      Model:

    - #### setAlias

          void setAlias(java.lang.String value)

      Sets the value of the '`Alias`' attribute.
      Parameters:
        `value` - the new value of the 'Alias' attribute.
      See Also:
        `getAlias()`
      Generated:

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"